<?php
/**
* The template for displaying date archive pages.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="magshow-main-wrapper magshow-clearfix" id="magshow-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="magshow-main-wrapper-inside magshow-clearfix">

<?php magshow_before_main_content(); ?>

<div class="magshow-posts-wrapper" id="magshow-posts-wrapper">

<?php if ( !(magshow_get_option('hide_date_title')) ) { ?>
<div class="magshow-page-header-outside">
<header class="magshow-page-header">
<div class="magshow-page-header-inside">
<?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
</div>
</header>
</div>
<?php } ?>

<div class="magshow-posts-content magshow-clearfix">

<?php if (have_posts()) : ?>

    <?php if ( 'grid' === magshow_post_summaries_style() ) { ?>

    <div class="magshow-posts magshow-posts-grid magshow-clearfix">
    <?php $magshow_post_counter=1; while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content-grid' ); ?>

    <?php $magshow_post_counter++; endwhile; ?>
    </div>

    <?php } else { ?>

    <?php while (have_posts()) : the_post(); ?>
        <?php get_template_part( 'template-parts/content-nongrid' ); ?>
    <?php endwhile; ?>

    <?php } ?>
    <div class="clear"></div>

    <?php magshow_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div><!--/#magshow-posts-wrapper -->

<?php magshow_after_main_content(); ?>

</div>
</div>
</div><!-- /#magshow-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>