<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

</div>

</div><!--/#magshow-content-wrapper -->
</div><!--/#magshow-wrapper -->

<?php magshow_bottom_wide_widgets(); ?>

<?php magshow_before_footer(); ?>

<?php if ( !(magshow_hide_footer_widgets()) ) { ?>
<?php if ( is_active_sidebar( 'magshow-footer-1' ) || is_active_sidebar( 'magshow-footer-2' ) || is_active_sidebar( 'magshow-footer-3' ) || is_active_sidebar( 'magshow-top-footer' ) || is_active_sidebar( 'magshow-bottom-footer' ) ) : ?>
<div class='magshow-clearfix' id='magshow-footer-blocks' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='magshow-container magshow-clearfix'>
<div class="magshow-outer-wrapper">

<?php if ( is_active_sidebar( 'magshow-top-footer' ) ) : ?>
<div class='magshow-clearfix'>
<div class='magshow-top-footer-block'>
<?php dynamic_sidebar( 'magshow-top-footer' ); ?>
</div>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'magshow-footer-1' ) || is_active_sidebar( 'magshow-footer-2' ) || is_active_sidebar( 'magshow-footer-3' ) ) : ?>
<div class='magshow-footer-block-cols magshow-clearfix'>

<div class="magshow-footer-block-col magshow-footer-3-col" id="magshow-footer-block-1">
<?php dynamic_sidebar( 'magshow-footer-1' ); ?>
</div>

<div class="magshow-footer-block-col magshow-footer-3-col" id="magshow-footer-block-2">
<?php dynamic_sidebar( 'magshow-footer-2' ); ?>
</div>

<div class="magshow-footer-block-col magshow-footer-3-col" id="magshow-footer-block-3">
<?php dynamic_sidebar( 'magshow-footer-3' ); ?>
</div>

</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'magshow-bottom-footer' ) ) : ?>
<div class='magshow-clearfix'>
<div class='magshow-bottom-footer-block'>
<?php dynamic_sidebar( 'magshow-bottom-footer' ); ?>
</div>
</div>
<?php endif; ?>

</div>
</div>
</div><!--/#magshow-footer-blocks-->
<?php endif; ?>
<?php } ?>

<div class='magshow-clearfix' id='magshow-copyright-area'>
<div class='magshow-copyright-area-inside magshow-container'>
<div class="magshow-outer-wrapper">

<div class='magshow-copyright-area-inside-content magshow-clearfix'>
<?php if ( magshow_get_option('footer_text') ) : ?>
  <p class='magshow-copyright'><?php echo esc_html(magshow_get_option('footer_text')); ?></p>
<?php else : ?>
  <p class='magshow-copyright'><?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'magshow' ), esc_html(date_i18n(__('Y','magshow'))) . ' ' . esc_html(get_bloginfo( 'name' ))  ); ?></p>
<?php endif; ?>
<p class='magshow-credit'><a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'magshow' ), 'ThemesDNA.com' ); ?></a></p>
</div>

</div>
</div>
</div><!--/#magshow-copyright-area -->

<?php magshow_after_footer(); ?>

<?php if ( magshow_is_backtotop_active() ) { ?><button class="magshow-scroll-top" title="<?php esc_attr_e('Scroll to Top','magshow'); ?>"><i class="fas fa-arrow-up" aria-hidden="true"></i><span class="magshow-sr-only"><?php esc_html_e('Scroll to Top', 'magshow'); ?></span></button><?php } ?>

<?php wp_footer(); ?>
</body>
</html>