<?php
/**
* Footer options
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function magshow_footer_options($wp_customize) {

    $wp_customize->add_section( 'magshow_section_footer', array( 'title' => esc_html__( 'Footer Options', 'magshow' ), 'panel' => 'magshow_main_options_panel', 'priority' => 280 ) );

    $wp_customize->add_setting( 'magshow_options[footer_text]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_html', ) );

    $wp_customize->add_control( 'magshow_footer_text_control', array( 'label' => esc_html__( 'Footer copyright notice', 'magshow' ), 'section' => 'magshow_section_footer', 'settings' => 'magshow_options[footer_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'magshow_options[hide_footer_widgets]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_checkbox', ) );

    $wp_customize->add_control( 'magshow_hide_footer_widgets_control', array( 'label' => esc_html__( 'Hide Footer Widgets', 'magshow' ), 'section' => 'magshow_section_footer', 'settings' => 'magshow_options[hide_footer_widgets]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'magshow_options[disable_backtotop]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_checkbox', ) );

    $wp_customize->add_control( 'magshow_disable_backtotop_control', array( 'label' => esc_html__( 'Disable Back to Top Button', 'magshow' ), 'section' => 'magshow_section_footer', 'settings' => 'magshow_options[disable_backtotop]', 'type' => 'checkbox', ) );

}