<?php
/**
* Social profiles options
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function magshow_social_profiles($wp_customize) {

    $wp_customize->add_section( 'magshow_section_social', array( 'title' => esc_html__( 'Social Links Options', 'magshow' ), 'panel' => 'magshow_main_options_panel', 'priority' => 240, ));

    $wp_customize->add_setting( 'magshow_options[hide_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_checkbox', ) );

    $wp_customize->add_control( 'magshow_hide_social_buttons_control', array( 'label' => esc_html__( 'Hide Social + Search + Random + Login/Logout Buttons', 'magshow' ), 'description' => esc_html__('If you checked this option, all buttons will disappear. There is no any effect from these options: "Show Search Button", "Show Login/Logout Button".', 'magshow'), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[hide_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'magshow_options[show_search_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_checkbox', ) );

    $wp_customize->add_control( 'magshow_show_search_button_control', array( 'label' => esc_html__( 'Show Search Button', 'magshow' ), 'description' => esc_html__('This option has no effect if you have checked the option: "Hide Social + Search + Random + Login/Logout Buttons".', 'magshow'), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[show_search_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'magshow_options[show_login_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_checkbox', ) );

    $wp_customize->add_control( 'magshow_show_login_button_control', array( 'label' => esc_html__( 'Show Login/Logout Button', 'magshow' ), 'description' => esc_html__('This option has no effect if you have checked the option: "Hide Social + Search + Random + Login/Logout Buttons".', 'magshow'), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[show_login_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'magshow_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_twitterlink_control', array( 'label' => esc_html__( 'Twitter URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[googlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'magshow_googlelink_control', array( 'label' => esc_html__( 'Google Plus URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[googlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'magshow_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_vklink_control', array( 'label' => esc_html__( 'VK Link', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[messengerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_messengerlink_control', array( 'label' => esc_html__( 'Messenger URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[messengerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[whatsapplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_whatsapplink_control', array( 'label' => esc_html__( 'WhatsApp URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[whatsapplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[tiktoklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_tiktoklink_control', array( 'label' => esc_html__( 'TikTok URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[tiktoklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[mediumlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_mediumlink_control', array( 'label' => esc_html__( 'Medium URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[mediumlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_githublink_control', array( 'label' => esc_html__( 'Github URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[mixlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_mixlink_control', array( 'label' => esc_html__( 'Mix URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[mixlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_redditlink_control', array( 'label' => esc_html__( 'Reddit URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[flipboardlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_flipboardlink_control', array( 'label' => esc_html__( 'Flipboard URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[flipboardlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[bloggerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_bloggerlink_control', array( 'label' => esc_html__( 'Blogger URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[bloggerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[etsylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_etsylink_control', array( 'label' => esc_html__( 'Etsy URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[etsylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_behancelink_control', array( 'label' => esc_html__( 'Behance URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[amazonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_amazonlink_control', array( 'label' => esc_html__( 'Amazon URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[amazonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[meetuplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_meetuplink_control', array( 'label' => esc_html__( 'Meetup URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[meetuplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[mixcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_mixcloudlink_control', array( 'label' => esc_html__( 'Mixcloud URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[mixcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[slacklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_slacklink_control', array( 'label' => esc_html__( 'Slack URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[slacklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[snapchatlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_snapchatlink_control', array( 'label' => esc_html__( 'Snapchat URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[snapchatlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[spotifylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_spotifylink_control', array( 'label' => esc_html__( 'Spotify URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[spotifylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[yelplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_yelplink_control', array( 'label' => esc_html__( 'Yelp URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[yelplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[wordpresslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_wordpresslink_control', array( 'label' => esc_html__( 'WordPress URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[wordpresslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[twitchlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_twitchlink_control', array( 'label' => esc_html__( 'Twitch URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[twitchlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[telegramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_telegramlink_control', array( 'label' => esc_html__( 'Telegram URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[telegramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[bandcamplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_bandcamplink_control', array( 'label' => esc_html__( 'Bandcamp URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[bandcamplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[quoralink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_quoralink_control', array( 'label' => esc_html__( 'Quora URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[quoralink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[foursquarelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_foursquarelink_control', array( 'label' => esc_html__( 'Foursquare URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[foursquarelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[deviantartlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_deviantartlink_control', array( 'label' => esc_html__( 'DeviantArt URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[deviantartlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[imdblink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_imdblink_control', array( 'label' => esc_html__( 'IMDB URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[imdblink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_codepenlink_control', array( 'label' => esc_html__( 'Codepen URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_bsalink_control', array( 'label' => esc_html__( 'BuySellAds URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[web500pxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_web500pxlink_control', array( 'label' => esc_html__( '500px URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[web500pxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[ellolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_ellolink_control', array( 'label' => esc_html__( 'Ello URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[ellolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[discordlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_discordlink_control', array( 'label' => esc_html__( 'Discord URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[discordlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[goodreadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_goodreadslink_control', array( 'label' => esc_html__( 'Goodreads URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[goodreadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[odnoklassnikilink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_odnoklassnikilink_control', array( 'label' => esc_html__( 'Odnoklassniki URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[odnoklassnikilink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[houzzlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_houzzlink_control', array( 'label' => esc_html__( 'Houzz URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[houzzlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[pocketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_pocketlink_control', array( 'label' => esc_html__( 'Pocket URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[pocketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[xinglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_xinglink_control', array( 'label' => esc_html__( 'XING URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[xinglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[googleplaylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_googleplaylink_control', array( 'label' => esc_html__( 'Google Play URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[googleplaylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[dropboxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_dropboxlink_control', array( 'label' => esc_html__( 'Dropbox URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[dropboxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[paypallink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_paypallink_control', array( 'label' => esc_html__( 'PayPal URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[paypallink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[viadeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_viadeolink_control', array( 'label' => esc_html__( 'Viadeo URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[viadeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[wikipedialink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_wikipedialink_control', array( 'label' => esc_html__( 'Wikipedia URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[wikipedialink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'magshow_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'magshow_sanitize_email' ) );

    $wp_customize->add_control( 'magshow_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'magshow_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'magshow_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'magshow' ), 'section' => 'magshow_section_social', 'settings' => 'magshow_options[rsslink]', 'type' => 'text' ) );

}