<?php
/**
* Custom Hooks
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function magshow_before_header() {
    do_action('magshow_before_header');
}

function magshow_after_header() {
    do_action('magshow_after_header');
}

function magshow_before_slider() {
    do_action('magshow_before_slider');
}

function magshow_after_slider() {
    do_action('magshow_after_slider');
}

function magshow_before_main_content() {
    do_action('magshow_before_main_content');
}
add_action('magshow_before_main_content', 'magshow_top_widgets', 10 );

function magshow_after_main_content() {
    do_action('magshow_after_main_content');
}
add_action('magshow_after_main_content', 'magshow_bottom_widgets', 10 );

function magshow_sidebar_one() {
    do_action('magshow_sidebar_one');
}
add_action('magshow_sidebar_one', 'magshow_sidebar_one_widgets', 10 );

function magshow_before_single_post() {
    do_action('magshow_before_single_post');
}

function magshow_before_single_post_title() {
    do_action('magshow_before_single_post_title');
}

function magshow_after_single_post_title() {
    do_action('magshow_after_single_post_title');
}

function magshow_top_single_post_content() {
    do_action('magshow_top_single_post_content');
}

function magshow_bottom_single_post_content() {
    do_action('magshow_bottom_single_post_content');
}

function magshow_after_single_post_content() {
    do_action('magshow_after_single_post_content');
}

function magshow_after_single_post() {
    do_action('magshow_after_single_post');
}

function magshow_before_single_page() {
    do_action('magshow_before_single_page');
}

function magshow_before_single_page_title() {
    do_action('magshow_before_single_page_title');
}

function magshow_after_single_page_title() {
    do_action('magshow_after_single_page_title');
}

function magshow_after_single_page_content() {
    do_action('magshow_after_single_page_content');
}

function magshow_after_single_page() {
    do_action('magshow_after_single_page');
}

function magshow_before_comments() {
    do_action('magshow_before_comments');
}

function magshow_after_comments() {
    do_action('magshow_after_comments');
}

function magshow_before_footer() {
    do_action('magshow_before_footer');
}

function magshow_after_footer() {
    do_action('magshow_after_footer');
}

function magshow_before_nongrid_post_title() {
    do_action('magshow_before_nongrid_post_title');
}

function magshow_after_nongrid_post_title() {
    do_action('magshow_after_nongrid_post_title');
}

if ( !(magshow_get_option('enable_widgets_block_editor')) ) {
    // Disables the block editor from managing widgets in the Gutenberg plugin.
    add_filter( 'gutenberg_use_widgets_block_editor', '__return_false', 100 );

    // Disables the block editor from managing widgets.
    add_filter( 'use_widgets_block_editor', '__return_false' );
}

if ( ! function_exists( 'magshow_remove_theme_support' ) ) :
function magshow_remove_theme_support() {

    if ( magshow_is_fitvids_active() ) {
        // Remove responsive embedded content support.
        remove_theme_support( 'responsive-embeds' );
    }

}
endif;
add_action( 'after_setup_theme', 'magshow_remove_theme_support', 1000 );