<?php
/**
* Media functions
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function magshow_media_content_grid() {
    global $post; ?>
    <?php if ( !(magshow_get_option('hide_thumbnail_home')) ) { ?>
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    <div class="magshow-grid-post-thumbnail magshow-grid-post-block">
        <?php if ( magshow_get_option('thumbnail_link_home') == 'no' ) { ?>
            <?php the_post_thumbnail('magshow-480w-360h-image', array('class' => 'magshow-grid-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="magshow-grid-post-thumbnail-link" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>"><?php the_post_thumbnail('magshow-480w-360h-image', array('class' => 'magshow-grid-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        <?php } ?>
    </div>
    <?php } else { ?>
    <?php if ( !(magshow_get_option('hide_default_thumbnail')) ) { ?>
    <div class="magshow-grid-post-thumbnail magshow-grid-post-thumbnail-default magshow-grid-post-block">
        <?php if ( magshow_get_option('thumbnail_link_home') == 'no' ) { ?>
            <img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-480-360.png' ); ?>" class="magshow-grid-post-thumbnail-img"/>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="magshow-grid-post-thumbnail-link" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-480-360.png' ); ?>" class="magshow-grid-post-thumbnail-img"/></a>
        <?php } ?>
    </div>
    <?php } ?>
    <?php } ?>
    <?php } ?>
<?php }


function magshow_media_content_single() {
    global $post;
    if ( has_post_thumbnail($post->ID) ) {
        if ( !(magshow_get_option('hide_thumbnail')) ) {
            if ( magshow_get_option('thumbnail_link') == 'no' ) { ?>
                <div class="magshow-post-thumbnail-single">
                <?php
                if ( is_page_template( array( 'template-full-width-post.php' ) ) ) {
                    the_post_thumbnail('magshow-1218w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0')));
                } else {
                    the_post_thumbnail('magshow-880w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0')));
                }
                ?>
                </div>
            <?php } else { ?>
                <div class="magshow-post-thumbnail-single">
                <?php if ( is_page_template( array( 'template-full-width-post.php' ) ) ) { ?>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="magshow-post-thumbnail-single-link"><?php the_post_thumbnail('magshow-1218w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
                <?php } else { ?>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="magshow-post-thumbnail-single-link"><?php the_post_thumbnail('magshow-880w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
                <?php } ?>
                </div>
    <?php   }
        }
    }
}


function magshow_media_content_single_location() {
    global $post;
    if( magshow_get_option('featured_media_under_post_title') ) {
        add_action('magshow_after_single_post_title', 'magshow_media_content_single', 10 );
    } else {
        add_action('magshow_before_single_post_title', 'magshow_media_content_single', 10 );
    }
}
add_action('template_redirect', 'magshow_media_content_single_location', 100 );


function magshow_media_content_page() {
    global $post;
    if ( has_post_thumbnail($post->ID) ) {
        if ( !(magshow_get_option('hide_page_thumbnail')) ) {
            if ( magshow_get_option('thumbnail_link_page') == 'no' ) { ?>
                <div class="magshow-post-thumbnail-single">
                <?php
                if ( is_page_template( array( 'template-full-width-page.php' ) ) ) {
                    the_post_thumbnail('magshow-1218w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0')));
                } else {
                    the_post_thumbnail('magshow-880w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0')));
                }
                ?>
                </div>
            <?php } else { ?>
                <div class="magshow-post-thumbnail-single">
                <?php if ( is_page_template( array( 'template-full-width-page.php' ) ) ) { ?>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="magshow-post-thumbnail-single-link"><?php the_post_thumbnail('magshow-1218w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
                <?php } else { ?>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="magshow-post-thumbnail-single-link"><?php the_post_thumbnail('magshow-880w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
                <?php } ?>
                </div>
    <?php   }
        }
    }
}


function magshow_media_content_page_location() {
    global $post;
    if( magshow_get_option('featured_media_under_page_title') ) {
        add_action('magshow_after_single_page_title', 'magshow_media_content_page', 10 );
    } else {
        add_action('magshow_before_single_page_title', 'magshow_media_content_page', 10 );
    }
}
add_action('template_redirect', 'magshow_media_content_page_location', 110 );


function magshow_media_content_nongrid() {
    global $post;
    if ( has_post_thumbnail($post->ID) ) {
        if ( !(magshow_get_option('hide_thumbnail_home')) ) {
            if ( magshow_get_option('thumbnail_link_home') == 'no' ) { ?>
                <div class="magshow-post-thumbnail-single">
                <?php
                if ( is_page_template( array( 'template-full-width-post.php' ) ) ) {
                    the_post_thumbnail('magshow-1218w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0')));
                } else {
                    the_post_thumbnail('magshow-880w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0')));
                }
                ?>
                </div>
            <?php } else { ?>
                <div class="magshow-post-thumbnail-single">
                <?php if ( is_page_template( array( 'template-full-width-post.php' ) ) ) { ?>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="magshow-post-thumbnail-single-link"><?php the_post_thumbnail('magshow-1218w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
                <?php } else { ?>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'magshow' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="magshow-post-thumbnail-single-link"><?php the_post_thumbnail('magshow-880w-autoh-image', array('class' => 'magshow-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
                <?php } ?>
                </div>
    <?php   }
        }
    }
}


function magshow_media_content_nongrid_location() {
    if( magshow_get_option('featured_nongrid_media_under_post_title') ) {
        add_action('magshow_after_nongrid_post_title', 'magshow_media_content_nongrid', 10 );
    } else {
        add_action('magshow_before_nongrid_post_title', 'magshow_media_content_nongrid', 10 );
    }
}
add_action('template_redirect', 'magshow_media_content_nongrid_location', 120 );