<?php
/**
* More Custom Functions
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

// Change excerpt length
function magshow_excerpt_length($length) {
    if ( is_admin() ) {
        return $length;
    }
    $read_more_length = 17;
    if ( magshow_get_option('read_more_length') ) {
        $read_more_length = magshow_get_option('read_more_length');
    }
    return apply_filters( 'magshow_excerpt_length', $read_more_length );
}
add_filter('excerpt_length', 'magshow_excerpt_length');

// Change excerpt more word
function magshow_excerpt_more($more) {
    if ( is_admin() ) {
        return $more;
    }
    return '...';
}
add_filter('excerpt_more', 'magshow_excerpt_more');

function magshow_grid_post_title_length() {
    $post_title_length_home = 6;
    if ( magshow_get_option('post_title_length_home') ) {
        $post_title_length_home = magshow_get_option('post_title_length_home');
    }
    return apply_filters( 'magshow_grid_post_title_length', $post_title_length_home );
}

function magshow_grid_post_snippet_length() {
    $read_more_length = 17;
    if ( magshow_get_option('read_more_length') ) {
        $read_more_length = magshow_get_option('read_more_length');
    }
    return apply_filters( 'magshow_grid_post_snippet_length', $read_more_length );
}

function magshow_grid_snippet_type() {
    $grid_snippet_type = 'postexcerpt';
    if ( magshow_get_option('grid_snippet_type') ) {
        $grid_snippet_type = magshow_get_option('grid_snippet_type');
    }
    return apply_filters( 'magshow_grid_snippet_type', $grid_snippet_type );
}

if ( ! function_exists( 'wp_body_open' ) ) :
    /**
     * Fire the wp_body_open action.
     *
     * Added for backwards compatibility to support pre 5.2.0 WordPress versions.
     */
    function wp_body_open() { // phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedFunctionFound
        /**
         * Triggered after the opening <body> tag.
         */
        do_action( 'wp_body_open' ); // phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedHooknameFound
    }
endif;

function magshow_search_box_placeholder_text() {
    $placeholder_text = esc_html__( 'Type your search term here...', 'magshow' );
    if ( magshow_get_option('search_box_placeholder_text') ) {
        $placeholder_text = magshow_get_option('search_box_placeholder_text');
    }
    return apply_filters( 'magshow_search_box_placeholder_text', $placeholder_text );
}