<?php
/**
* Social buttons
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function magshow_social_buttons() { ?>

<div class='magshow-social-icons'>
    <?php if ( magshow_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-twitter" aria-label="<?php esc_attr_e('Twitter Button','magshow'); ?>"><i class="fab fa-twitter" aria-hidden="true" title="<?php esc_attr_e('Twitter','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','magshow'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('googlelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('googlelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-google-plus" aria-label="<?php esc_attr_e('Google Plus Button','magshow'); ?>"><i class="fab fa-google-plus-g" aria-hidden="true" title="<?php esc_attr_e('Google Plus','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','magshow'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','magshow'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','magshow'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','magshow'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','magshow'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','magshow'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','magshow'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','magshow'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('whatsapplink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('whatsapplink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-whatsapp" aria-label="<?php esc_attr_e('WhatsApp Button','magshow'); ?>"><i class="fab fa-whatsapp" aria-hidden="true" title="<?php esc_attr_e('WhatsApp','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('tiktoklink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('tiktoklink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-tiktok" aria-label="<?php esc_attr_e('TikTok Button','magshow'); ?>"><i class="fab fa-tiktok" aria-hidden="true" title="<?php esc_attr_e('TikTok','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','magshow'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','magshow'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-github" aria-label="<?php esc_attr_e('Github Button','magshow'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','magshow'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','magshow'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','magshow'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','magshow'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','magshow'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','magshow'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','magshow'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','magshow'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','magshow'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','magshow'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','magshow'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','magshow'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','magshow'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','magshow'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','magshow'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','magshow'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','magshow'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','magshow'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','magshow'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','magshow'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','magshow'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','magshow'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','magshow'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','magshow'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','magshow'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','magshow'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','magshow'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','magshow'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','magshow'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','magshow'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','magshow'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','magshow'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','magshow'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','magshow'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','magshow'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('discordlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('discordlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-discord" aria-label="<?php esc_attr_e('Discord Button','magshow'); ?>"><i class="fab fa-discord" aria-hidden="true" title="<?php esc_attr_e('Discord','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','magshow'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','magshow'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','magshow'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','magshow'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','magshow'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','magshow'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','magshow'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','magshow'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','magshow'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','magshow'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','magshow'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( magshow_get_option('skypeusername') ); ?>?chat" class="magshow-header-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','magshow'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( magshow_get_option('emailaddress') ); ?>" class="magshow-header-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','magshow'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( magshow_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="magshow-header-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','magshow'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','magshow'); ?>"></i></a><?php endif; ?>
    <?php if ( magshow_get_option('show_login_button') ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Logout Button', 'magshow' ); ?>" class="magshow-header-social-icon-login"><i class="fas fa-sign-out-alt" aria-hidden="true" title="<?php esc_attr_e('Logout','magshow'); ?>"></i></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Login / Register Button', 'magshow' ); ?>" class="magshow-header-social-icon-login"><i class="fas fa-sign-in-alt" aria-hidden="true" title="<?php esc_attr_e('Login / Register','magshow'); ?>"></i></a><?php endif;?><?php } ?>
    <?php if ( magshow_get_option('show_search_button') ) { ?><a href="<?php echo esc_url( '#' ); ?>" class="magshow-header-social-icon-search" aria-label="<?php esc_attr_e('Search Button','magshow'); ?>"><i class="fas fa-search" aria-hidden="true" title="<?php esc_attr_e('Search','magshow'); ?>"></i></a><?php } ?>
</div>

<?php }