<?php
/**
* Register widget area.
*
* @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
*
* @package MagShow WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function magshow_widgets_init() {

register_sidebar(array(
    'id' => 'magshow-sidebar-one',
    'name' => esc_html__( 'Sidebar 1 Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is located on the left-hand side of your web page.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-side-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-home-fullwidth-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Default HomePage)', 'magshow' ),
    'description' => esc_html__( 'This full-width widget area is located after the header of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-fullwidth-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Everywhere)', 'magshow' ),
    'description' => esc_html__( 'This full-width widget area is located after the header of your website. Widgets of this widget area are displayed on every page of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-home-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Default HomePage)', 'magshow' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content (above posts) of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Everywhere)', 'magshow' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content (above posts) of your website. Widgets of this widget area are displayed on every page of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-home-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Default HomePage)', 'magshow' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content (below posts) of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Everywhere)', 'magshow' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content (below posts) of your website. Widgets of this widget area are displayed on every page of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-home-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Default HomePage)', 'magshow' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Everywhere)', 'magshow' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on every page of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-single-post-bottom-widgets',
    'name' => esc_html__( 'Single Post Bottom Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is located at the bottom of single post of any post type (except attachments and pages).', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'magshow-top-footer',
    'name' => esc_html__( 'Footer Top Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is located on the top of the footer of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'magshow-footer-1',
    'name' => esc_html__( 'Footer 1 Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is the column 1 of the footer of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'magshow-footer-2',
    'name' => esc_html__( 'Footer 2 Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is the column 2 of the footer of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'magshow-footer-3',
    'name' => esc_html__( 'Footer 3 Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is the column 3 of the footer of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'magshow-bottom-footer',
    'name' => esc_html__( 'Footer Bottom Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is located on the bottom of the footer of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'magshow-404-widgets',
    'name' => esc_html__( '404 Page Widgets', 'magshow' ),
    'description' => esc_html__( 'This widget area is located on the 404(not found) page of your website.', 'magshow' ),
    'before_widget' => '<div id="%1$s" class="magshow-main-widget widget magshow-widget-box %2$s"><div class="magshow-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="magshow-widget-header"><h2 class="magshow-widget-title"><span class="magshow-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

}
add_action( 'widgets_init', 'magshow_widgets_init' );


function magshow_sidebar_one_widgets() {
    dynamic_sidebar( 'magshow-sidebar-one' );
}

function magshow_top_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'magshow-home-fullwidth-widgets' ) || is_active_sidebar( 'magshow-fullwidth-widgets' ) ) : ?>
<div class="magshow-outer-wrapper">
<div class="magshow-top-wrapper-outer magshow-clearfix">
<div class="magshow-featured-posts-area magshow-top-wrapper magshow-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'magshow-home-fullwidth-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'magshow-fullwidth-widgets' ); ?>
</div>
</div>
</div>
<?php endif; ?>

<?php }


function magshow_bottom_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'magshow-home-fullwidth-bottom-widgets' ) || is_active_sidebar( 'magshow-fullwidth-bottom-widgets' ) ) : ?>
<div class="magshow-outer-wrapper">
<div class="magshow-bottom-wrapper-outer magshow-clearfix">
<div class="magshow-featured-posts-area magshow-bottom-wrapper magshow-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'magshow-home-fullwidth-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'magshow-fullwidth-bottom-widgets' ); ?>
</div>
</div>
</div>
<?php endif; ?>

<?php }


function magshow_top_widgets() { ?>

<?php if ( is_active_sidebar( 'magshow-home-top-widgets' ) || is_active_sidebar( 'magshow-top-widgets' ) ) : ?>
<div class="magshow-featured-posts-area magshow-featured-posts-area-top magshow-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'magshow-home-top-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'magshow-top-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function magshow_bottom_widgets() { ?>

<?php if ( is_active_sidebar( 'magshow-home-bottom-widgets' ) || is_active_sidebar( 'magshow-bottom-widgets' ) ) : ?>
<div class='magshow-featured-posts-area magshow-featured-posts-area-bottom magshow-clearfix'>
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'magshow-home-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'magshow-bottom-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function magshow_404_widgets() { ?>

<?php if ( is_active_sidebar( 'magshow-404-widgets' ) ) : ?>
<div class="magshow-featured-posts-area magshow-featured-posts-area-top magshow-clearfix">
<?php dynamic_sidebar( 'magshow-404-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function magshow_post_bottom_widgets() {
    if ( is_singular() ) {
        global $post;
        if ( is_active_sidebar( 'magshow-single-post-bottom-widgets' ) ) : ?>
            <div class="magshow-featured-posts-area magshow-clearfix">
            <?php dynamic_sidebar( 'magshow-single-post-bottom-widgets' ); ?>
            </div>
        <?php endif;
    }
}